<?php

namespace NoccyLabs\React\Http2\Stream;

use NoccyLabs\React\Http2\Connection\Http2Connection;

/**
 * HTTP/2 Stream Class
 * 
 *
 * 
 */
class Http2Stream
{
    const STATE_IDLE = 0;
    const STATE_RESERVED_LOCAL = 1;
    const STATE_RESERVED_REMOTE = 2;
    const STATE_OPEN = 3;
    const STATE_HALF_CLOSED_LOCAL = 4;
    const STATE_HALF_CLOSED_REMOTE = 5;
    const STATE_CLOSED = 6;

    private int $state = self::STATE_IDLE;

    private Http2Connection $connection;

}